> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Tenant Fw Rules



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/firewall_rule
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/firewall_rule:
    get:
      tags:
        - service - firewall
      summary: Get All Tenant Fw Rules
      operationId: get_all_tenant_fw_rules_service__tenant_name__firewall_rule_get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_NBFirewallRuleResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_NBFirewallRuleResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBFirewallRuleResponse'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[NBFirewallRuleResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBFirewallRuleResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        user_ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: User Ip Address
        priority:
          type: integer
          title: Priority
          default: 1
        filters:
          items:
            $ref: '#/components/schemas/RuleFilter'
          type: array
          title: Filters
          default: []
        forwarding_policy:
          $ref: '#/components/schemas/NBForwardingPolicy'
          default: ALLOW
        enable:
          type: boolean
          title: Enable
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        categories:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Categories
          default: []
        allowed_domains:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Allowed Domains
        denied_domains:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Denied Domains
        policy_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Policy Name
        time_policies:
          anyOf:
            - items:
                $ref: '#/components/schemas/NBTimePolicy'
              type: array
            - type: 'null'
          title: Time Policies
          default: []
        gate_vi_names:
          items:
            type: string
          type: array
          title: Gate Vi Names
          default: []
        gate_vi_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Gate Vi Name
      type: object
      required:
        - id
        - name
        - enable
      title: NBFirewallRuleResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RuleFilter:
      properties:
        filter_type:
          $ref: '#/components/schemas/FilterType'
        values:
          title: Values
      type: object
      required:
        - filter_type
        - values
      title: RuleFilter
    NBForwardingPolicy:
      type: string
      enum:
        - ACCEPT
        - DROP
        - ALLOW
        - DENY
        - ALLOW_WITH_BLOCKED_SNI
        - ALLOW_ONLY_SELECTED_SNIS
      title: NBForwardingPolicy
    NBTimePolicy:
      properties:
        name:
          type: string
          title: Name
        action:
          $ref: '#/components/schemas/TimePolicyActions'
        days:
          items:
            $ref: '#/components/schemas/Days'
          type: array
          title: Days
        start_time:
          type: string
          format: time
          title: Start Time
        end_time:
          type: string
          format: time
          title: End Time
      type: object
      required:
        - name
        - action
        - days
        - start_time
        - end_time
      title: NBTimePolicy
    FilterType:
      type: string
      enum:
        - src_network
        - dst_network
        - src_l4_port
        - dst_l4_port
        - ip_protocol
        - src_segment
        - dst_segment
        - src_object
        - dst_object
        - src_group
        - dst_group
        - ingress_vi
        - tcp_control
        - is_fragmented
        - tos
        - traffic_class
        - ttl
        - hop_limit
        - ip_version
        - src_dia
        - dst_dia
      title: FilterType
    TimePolicyActions:
      type: string
      enum:
        - activate
        - disable
      title: TimePolicyActions
    Days:
      type: string
      enum:
        - Sunday
        - Monday
        - Tuesday
        - Wednesday
        - Thursday
        - Friday
        - Saturday
      title: Days
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````